def cube(sides):
    total_sum = sum(sides)
    if total_sum % 3 != 0:
        return "no"
    
    tsum = total_sum // 3
    

    from itertools import combinations
    
    pairs = list(combinations(sides, 2))
    
    sum_cnt = {}
    
    for a, b in pairs:
        pair_sum = a + b
        if pair_sum not in sum_cnt:
            sum_cnt[pair_sum] = 0
        sum_cnt[pair_sum] += 1
    
    if tsum in sum_cnt and sum_cnt[tsum] >= 3:
        return "yes"
    else:
        return "no"


n = int(input())
res = []
for _ in range(n):
    sides = list(map(int, input().split()))
    res.append(cube(sides))

for result in res:
    print(result)
