def lunsum(a, b):
    resum = []
    mx_len = max(len(a), len(b))
    a = a.zfill(mx_len)
    b = b.zfill(mx_len)
    for da, db in zip(a, b):
        resum.append(max(da, db))
    return ''.join(resum)


def lunprod(a, b):
    resprod = ['0'] * (len(a) + len(b))
    for i in range(len(a)):
        for j in range(len(b)):
            prod = min(a[i], b[j])
            resind = i + j
            resprod[resind] = max(resprod[resind], prod)
    if resprod and resprod[-1] == '0':
        resprod.pop()  
    resprod = ''.join(resprod)
    
    return resprod if resprod else '0'

a = input().strip()
b = input().strip()
resum = lunsum(a, b)
resprod = lunprod(a, b)
print(resum, resprod)
